Debian Bug report logs - #566825
x11-common: Support session with arguments (fix failsafe gnome session)

version graph

Package: x11-common; Maintainer for x11-common is Debian X Strike Force <debian-x@lists.debian.org>; Source for x11-common is src:xorg.

Reported by: Didier Roche <didrocks@ubuntu.com>

Date: Mon, 25 Jan 2010 10:12:02 UTC

Severity: normal

Found in versions 1:7.5+1ubuntu2, xorg/1:7.6+4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566825; Package x11-common. (Mon, 25 Jan 2010 10:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Roche <didrocks@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 25 Jan 2010 10:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Roche <didrocks@ubuntu.com>
To: submit@bugs.debian.org
Subject: x11-common: Support session with arguments (fix failsafe gnome session)
Date: Mon, 25 Jan 2010 11:09:53 +0100
[Message part 1 (text/plain, inline)]
Package: x11-common
Version: 1:7.5+1ubuntu2
Severity: normal

In case of failsafe session, gnome-session is called with -f options.
The bug was in /etc/X11/Xsession.d/20x11-common_process-args where $1 is
"gnome-session -f"
This causes some troubles when trying to STARTUP_FULL_PATH=$(/usr/bin/which
"$1" || true)
So, we went to else statement, without STARTUP set up

Consequently /etc/X11/Xsession.d/50x11-common_determine-startup set it to
/usr/bin/x-session-manager, which is an alternative to gnome-session in
lucid.

Fix available at
http://git.debian.org/?p=pkg-xorg/debian/xorg.git;a=blobdiff;f=debian/local/Xsession.d/20x11-common_process-args;h=33696ad9988cf7a5d5683bb027ae40a85cf53a15;hp=53e7a7b294f8c2a3b63dd0320b6d79e6225c683b;hb=75c2a9cfacafbd46c433b44dd672985433032f99;hpb=50706e3079f37799a3e6a3a06d711c764703960c

-- System Information:
Debian Release: squeeze/sid
  APT prefers lucid-updates
  APT policy: (500, 'lucid-updates'), (500, 'lucid-security'), (500,
'lucid')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-11-generic (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages x11-common depends on:
ii  debconf [debconf-2.0]     1.5.28ubuntu1  Debian configuration management
sy
ii  debianutils               3.2.2          Miscellaneous utilities
specific t
ii  lsb-base                  4.0-0ubuntu7   Linux Standard Base 4.0 init
scrip
ii  upstart [upstart-job]     0.6.3-11build1 event-based init daemon

x11-common recommends no packages.

x11-common suggests no packages.
[Message part 2 (text/html, inline)]

Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. (Mon, 25 Jan 2010 10:48:10 GMT) Full text and rfc822 format available.

Notification sent to Didier Roche <didrocks@ubuntu.com>:
Bug acknowledged by developer. (Mon, 25 Jan 2010 10:48:10 GMT) Full text and rfc822 format available.

Message #10 received at 566825-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Didier Roche <didrocks@ubuntu.com>, 566825-done@bugs.debian.org
Subject: Re: Bug#566825: x11-common: Support session with arguments (fix failsafe gnome session)
Date: Mon, 25 Jan 2010 11:45:57 +0100
Didier Roche wrote:
> Package: x11-common
> Version: 1:7.5+1ubuntu2
> Severity: normal

We don't have Ubuntu packages in Debian.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566825; Package x11-common. (Mon, 25 Jan 2010 11:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Roche <didrocks@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 25 Jan 2010 11:12:04 GMT) Full text and rfc822 format available.

Message #15 received at 566825@bugs.debian.org (full text, mbox):

From: Didier Roche <didrocks@ubuntu.com>
To: 566825@bugs.debian.org
Subject: Re: Bug#566825 closed by Brice Goglin <Brice.Goglin@ens-lyon.org> (Re: Bug#566825: x11-common: Support session with arguments (fix failsafe gnome session))
Date: Mon, 25 Jan 2010 12:09:57 +0100
Of course you don't have ubuntu packages in Debian.

But you still suffers from this bug, see your GIT repo, as you were
able to find it before closing the bug:
http://git.debian.org/?p=pkg-xorg/debian/xorg.git;a=blob;f=debian/local/Xsession.d/20x11-common_process-args;h=53e7a7b294f8c2a3b63dd0320b6d79e6225c683b;hb=2bf7b132745b48a45115632bef19034d60905f95

We offer you a patch in your git repository format, what else we can
do to be better citizen? Seems just to be unconstructive thoughts from
your answer.




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jan 2010 11:57:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xorg/1:7.6+4. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Fri, 25 Feb 2011 23:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566825; Package x11-common. (Fri, 14 Dec 2012 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 14 Dec 2012 19:33:04 GMT) Full text and rfc822 format available.

Message #24 received at 566825@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: Paul Wise <pabs@debian.org>, 695903@bugs.debian.org, 653327@bugs.debian.org, 694832@bugs.debian.org, 566825@bugs.debian.org, 695903-submitter@bugs.debian.org, 653327-submitter@bugs.debian.org, 694832-submitter@bugs.debian.org, 566825-submitter@bugs.debian.org
Subject: Re: Bug#695903: razorqt-session: sessions choosing a specific window manager do not work from gdm3
Date: Fri, 14 Dec 2012 19:29:01 +0000
2012/12/14 Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>:
> This seems to be an error from upstream .desktop files:
> https://groups.google.com/group/razor-qt/browse_thread/thread/9555a74cf7188ad2
>
> It's fixed in newer versions by commenting out the "TryExec", which
> (even if it works -- it doesn't for me when modifying my .desktop
> files by hand) is not very optimal, since then one has entries for
> window managers not really available in the system:
> https://github.com/Razor-qt/razor-qt/commit/bc8148c5e7741de9400f7436f188e178a51b5b96

I had thought that the above might be the problem, but I think now
that what I said above is wrong.

I think that the actual issue is the following one:

> I guess that this is a duplicate of #653327 , due to the following
> line having several arguments:
>   Exec=razor-session -w openbox

#694832 and #566825 also seem duplicates of #653327 .

Sending a copy of this message to all of these bug reports, some of
them quite old; to see if submitters, triagers and maintainers concur
and we can get it fixed.


Cheers.
-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>



Message sent on to Didier Roche <didrocks@ubuntu.com>:
Bug#566825. (Fri, 14 Dec 2012 19:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:54:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.